
%Ok, start defining model BC 
disp('      boundary conditions for thermal model ');
if md.dim==3,
	pos1=find(md.elementonbed);     md.spctemperature(md.elements(pos1,1:3),1)=1; md.spctemperature(md.elements(pos1,1:3),2)=10;
	pos2=find(md.elementonsurface); md.spctemperature(md.elements(pos2,4:6),1)=1; md.spctemperature(md.elements(pos2,4:6),2)=0;
	md.vx=zeros(md.numberofgrids,1);
	md.vy=zeros(md.numberofgrids,1);
	md.vz=0.1*ones(md.numberofgrids,1);
	md.vel=sqrt( md.vx.^2+ md.vy.^2+ md.vz.^2);
	md.pressure=zeros(md.numberofgrids,1);
else
	error('model must be 3d to be thermaly parameterized')
end
